Subject: [Bridge-mib] Response to AD Review of: draft-ietf-bridge-ext-v2-04.txt

From: "David B Harrington" <[email-masked]>
Date: Fri, 1 Jul 2005 16:13:38 -0400

Hi,

Comments inline.

David Harrington
[email-masked]
co-chair, IETF Bridge WG

> -----Original Message-----
> From: Wijnen, Bert (Bert) [mailto:[email-masked]] 
> Sent: Friday, June 10, 2005 8:53 AM
> To: David Harrington (E-mail); Dan Romascanu (E-mail); 
> [email-masked]; [email-masked]
> Cc: Bridge-Mib (E-mail)
> Subject: AD Review of: draft-ietf-bridge-ext-v2-04.txt
> 
> Here are my comments:
> 
> Serious issues:
> ---------------
> 
> - smicng compile (for SYNTAX check) gives:
> 
>   C:\bwijnen\smicng\work>smicng pbridge.inc
>   E: f(pbridge.mi2), (220,34) Must use "::="
>   E: f(pbridge.mi2), (280,5) Must use "::="
>   E: f(pbridge.mi2), (336,35) Must use "::="
>   E: f(pbridge.mi2), (386,30) Must use "::="
>   E: f(pbridge.mi2), (447,44) Must use "::="
>   E: f(pbridge.mi2), (488,26) Must use "::="
>   E: f(pbridge.mi2), (547,26) Must use "::="
>   E: f(pbridge.mi2), (639,26) Must use "::="
>   E: f(pbridge.mi2), (726,32) Must use "::="
> 
>   Strange that you did not catch those !!??

This is a problem caused by the internet-drafts publication process;
the sources submitted did not have this problem. Hopefully, this
problem will not occur when we re-submit the sources.

> 
>   W: f(pbridge.mi2), (444,30) Row 
> "dot1dPortOutboundAccessPriorityEntry" does not
>   have a consistent indexing scheme - index item 
> dot1dRegenUserPriority from base
>   row dot1dUserPriorityRegenEntry is not defined as an index item
>  
>   The warning is OK, also existed in 2674.

OK.

> 
> I find it a bit hard to do IETF Last Call with so many compile
erros,
> even though they are very easy to fix. Can you do a quir revision?

Yes. Gladly.

> 
> 
> Admin and nits:
> ---------------
> 
> - I think the abstract and title page should state that
>   this document obsoletes RFC2674. Or so I understand from
>   the REVISION clauses from the MIB Module itself.

Done.

> 
> - idnits gives OK
> 
> - Checking refenences I find:
> 
> !! Missing citation for Normative reference:
>   P098 L021: [802.1w]     IEEE 802.1w-2001, "(Amendment to 
> IEEE Standard 802.1D) IEEE
> 
> !! Missing citation for Informative reference:
>   P098 L035: [RFC1525]    Decker, E., McCloghrie, K., 
> Langille, P. and A.

Removed the references

> 
> !! Missing citation for Normative reference:
>   P097 L026: [RFC2674]    Bell, E., Smith, A., Langille, P., 
> Rijhsinghani, A. and

Added citation.

> 
> - would be good to have text on persistence behaviour of 
> read-write objects

Discussing with Bridgemib WG and 802.1 WG how to proceed on this.
The IEEE 802.1 WG has agreed to discuss this at their upcoming meeting
during the week of July 15 to provide clarifications. We will update
the document once that has been done.

> 
> - For dot1dDeviceCapabilities and dot1dPortCapabilities it 
> would be (much) 
>   better to move the comments (explaining what each bit 
> means) into the
>   DESCRIPTION clause of each definition

Done.

> 
> - smidiff tells me:
> 
>   C:\smi\mibs\work>smidiff ../ietf/P-BRIDGE-MIB ./P-BRIDGE-MIB
>   ../ietf/P-BRIDGE-MIB:264: warning: use Integer32 instead of 
> INTEGER in SMIv2
>   ../ietf/P-BRIDGE-MIB:274: warning: use Integer32 instead of 
> INTEGER in SMIv2
>   ../ietf/P-BRIDGE-MIB:321: warning: use Integer32 instead of 
> INTEGER in SMIv2
>   ../ietf/P-BRIDGE-MIB:329: warning: use Integer32 instead of 
> INTEGER in SMIv2
>   ../ietf/P-BRIDGE-MIB:371: warning: use Integer32 instead of 
> INTEGER in SMIv2
>   ../ietf/P-BRIDGE-MIB:390: warning: use Integer32 instead of 
> INTEGER in SMIv2
>   ../ietf/P-BRIDGE-MIB:431: warning: use Integer32 instead of 
> INTEGER in SMIv2
>   ./P-BRIDGE-MIB:288: warning: use Integer32 instead of 
> INTEGER in SMIv2
>   ./P-BRIDGE-MIB:298: warning: use Integer32 instead of 
> INTEGER in SMIv2
>   ./P-BRIDGE-MIB:344: warning: use Integer32 instead of 
> INTEGER in SMIv2
>   ./P-BRIDGE-MIB:352: warning: use Integer32 instead of 
> INTEGER in SMIv2
>   ./P-BRIDGE-MIB:394: warning: use Integer32 instead of 
> INTEGER in SMIv2
>   ./P-BRIDGE-MIB:413: warning: use Integer32 instead of 
> INTEGER in SMIv2
>   ./P-BRIDGE-MIB:453: warning: use Integer32 instead of 
> INTEGER in SMIv2

Since INTEGER and Integer32 are indistinguishable in practice, I
changed these to Integer32.

> 
>   warnings are OK, that is what we had in RFC 2674.
> 
>   ./P-BRIDGE-MIB:18 warning: contact of `P-BRIDGE-MIB' changed
>   ./P-BRIDGE-MIB:18 warning: description of module identity
definition
>       `P-BRIDGE-MIB' changed
>   ./P-BRIDGE-MIB:90 warning: revision `1999-08-25 00:00' changed
>   ../ietf/P-BRIDGE-MIB:68 info: previous definition of 
> `1999-08-25 00:00'
> 
>   above is OK
> 
>   ./P-BRIDGE-MIB:84 warning: revision `2004-12-13 00:00' added
>   ../ietf/P-BRIDGE-MIB:18 info: previous definition of
`P-BRIDGE-MIB'
>   ./P-BRIDGE-MIB:598 warning: column 
> `dot1dPortRestrictedGroupRegistration'
>        has be en added
>   ./P-BRIDGE-MIB:784 warning: description of object group definition
>       `pBridgeExtCapGroup' changed
>   ../ietf/P-BRIDGE-MIB:743 info: previous definition of 
> `pBridgeExtCapGroup'
>   ./P-BRIDGE-MIB:872 warning: legal status change from `current' to
>       `deprecated' for `pBridgePortGmrpGroup'
>   ../ietf/P-BRIDGE-MIB:829 info: previous definition of 
> `pBridgePortGmrpGroup'
>   ./P-BRIDGE-MIB:909 warning: group `pBridgePortGmrpGroup2' 
> has been added
>   ./P-BRIDGE-MIB:926 warning: legal status change from `current' to
>      `deprecated' for `pBridgeCompliance'
>   ../ietf/P-BRIDGE-MIB:869 info: previous definition of 
> `pBridgeCompliance'
>   ./P-BRIDGE-MIB:1019 warning: compliance 
> `pBridgeCompliance2' has been added
> 
>   that seems all OK

Smilint complained that qbridgeCompliance2 was referencing
qBridgePortGroup, which was deprecated.
I believe it should have been referencing qBridgePortgroup2, so I
changed it.

Smilint complained about the lack of a display-hint for VlanIndex, so
I added one.

David Harrington
[email-masked]
co-chair, IETF Bridge WG

_______________________________________________
Bridge-mib mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/bridge-mib